Summary:     User directory for the jabber server
Name:        jabber-jud
Version:     0.5a
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://jud.jabberstudio.org/jud-%{version}.tar.gz
Source1:     jabberd-jud.init
Source2:     jud.xml
Patch0:      jud-%{version}-make.patch
URL:         http://jud.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Maqi <maqi@jabberstudio.org>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    jabber >= 1.4.4
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: jabber >= 1.4.4
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the user directory module.


%prep
%setup -q -n jud-ansi-c
%patch0 -p1


%build
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
mkdir -p $RPM_BUILD_ROOT/usr/jabber/lib
install -m 0755 *.so $RPM_BUILD_ROOT/usr/jabber/lib
ln -s jabberd $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-jud
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/jabber/jud.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/jud.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/jud.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-jud


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/jud.xml
/sbin/chkconfig --add jabberd-jud
/sbin/chkconfig jabberd-jud on
if [ -s /etc/jabber/jud.xml ]; then
   if [ -f /var/lock/subsys/jabberd-jud ]; then
      /etc/rc.d/init.d/jabberd-jud restart
   else
      /etc/rc.d/init.d/jabberd-jud start
   fi
else
   echo "User directory installed. Please consult the README for configuration details."
   echo "Don't forget to create a directory named <jud> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-jud off
  /sbin/chkconfig --del jabberd-jud
   if [ -f /var/lock/subsys/jabberd-jud ]; then
      /etc/rc.d/init.d/jabberd-jud stop
   fi
fi


%postun
if [ $1 = 0 ]; then
  echo "User directory deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README ChangeLog
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*
/usr/jabber/lib/*


%changelog
* Wed Jul 13 2005 peter.pramberger@member.fsf.org
- updated for jabber 1.4.4
- removed package devel

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- compiled against JabberD 1.4.3

* Mon Nov 03 2003 peter.pramberger@member.fsf.org
- new version 0.5

* Fri Jun 27 2003 peter.pramberger@member.fsf.org
- compiled for RH73

* Fri Feb 28 2003 peter.pramberger@member.fsf.org
- minor bugfixes

* Sun May 19 2002 peter.pramberger@member.fsf.org
- created

